Name:           htop
Version:        1.0.1
Release:        1%{?dist}
Summary:        Interactive process viewer

Group:          Applications/System
License:        GPL+
URL:            http://htop.sourceforge.net/
Source0:        http://download.sourceforge.net/htop/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel, python


%description
htop is an interactive text-mode process viewer for Linux, similar to
top(1).


%prep
%setup -q
sed -i s#"INSTALL_DATA = @INSTALL_DATA@"#"INSTALL_DATA = @INSTALL_DATA@ -p"# Makefile.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --vendor fedora \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applications/htop.desktop

#remove empty directories
rm -rf $RPM_BUILD_ROOT%{libdir}
rm -rf $RPM_BUILD_ROOT%{includedir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/htop
%{_datadir}/applications/fedora-htop.desktop
%{_datadir}/pixmaps/htop.png
%{_mandir}/man1/htop.1*


%changelog
* Thu Feb 23 2012 Denis Frolov <d.frolov81@mail.ru> - 1.0.1-1
- Update to 1.0.1

* Thu Nov 24 2011 Denis Frolov <d.frolov81@mail.ru> - 1.0-1
- Update to 1.0

* Thu Jul 09 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.8.3-1
- Update to 0.8.3

* Thu Jun 18 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.8.2-2
- "htop aborts after hitting F6 key" fixed (#504795)
- Arrays patch from upstream, patch and build for EPEL

* Tue Jun 02 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.8.2-1
- New release, build for EPEL

* Thu Feb 05 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.8.1-3
- "Tree view doesn't work with threads hidden" fixed (#481072)
- Rafal issued the fix, this is just the update and build for EPEL

* Tue Nov 18 2008 Adam Miller <maxamillion [AT] gmail.com> - 0.8.1-2
- non-printable character filter patch (#504144)
- Rafal fixed the bug, I just updated the EL packages.

* Tue Oct  4 2008 Adam Miller <maxamillion [AT] gmail.com> - 0.8.1-1
- Backport of Rafal Posta's upstream fedora package

* Thu Jul 31 2008 Adam Miller <maxamillion [AT] gmail.com> - 0.8-1
- Update to 8.0

* Fri Jul 18 2008 Adam Miller <maxamillion[AT]gmail.com> - 0.7-2
- build/testing for submission to EPEL (changed build root)

* Sun Apr 27 2008 Rafał Psota <rafalzaq@gmail.com> - 0.7-2
- desktop file fix
* Mon Feb 11 2008 Rafał Psota <rafalzaq@gmail.com> - 0.7-1
- update to 0.7
* Sat Dec  9 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.5-1
- Update to 0.6.5

* Wed Oct  4 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.4-1
- Update to 0.6.4

* Sat Sep 16 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.3-2
- Rebuild for FE6

* Sun Jul 30 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.3-1
- Update to 0.6.3
- Correct e-mail address in ChangeLog
- Replace tabs with spaces

* Sat May 20 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.2-1
- Update to 0.6.2

* Wed May 10 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.1-2
- Add missing BR: desktop-file-utils

* Wed May 10 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6.1-1
- Update to 0.6.1

* Tue Feb 14 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6-3
- Rebuild for Fedora Extras 5

* Wed Dec 28 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6-2
- Rebuild with updated tarball

* Wed Dec 28 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.6-1
- Version 0.6

* Fri Nov 11 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.5.4-2
- Don't use superflous CFLAGS variable (Dmitry Butskoy)
- Don't include AUTHORS and NEWS files

* Thu Nov 10 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 0.5.4-1
- Initial RPM release.
